<?php

// 获取证书列表 
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_get_certificates.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");

//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

$result = array();

//检索数据库
$param = array();
$param['delete_flg'] = false;
$certificateList = CertificateMst::getList($param,'display_order','desc');

//接口返回数据
$result["certificateList"] = $certificateList;

ErrorLogger::doOutput("Compass...ajax_get_certificates.php....End.", 0);


//返回结果
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>